[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TCustomUpDown.MouseEnter

Performs actions when the mouse pointer enters the control.

## Declaration

Source position: comctrls.pp line 1981

`protected procedure TCustomUpDown.MouseEnter; override;`

## Description

MouseEnter is an overridden method in TCustomUpDown. It ensures that the inherited method, which signals the OnMouseEnter event, is called only once when the mouse pointer enters the control or its Associate control. An internal member in the class instance is used to track whether the mouse pointer is already in either of the controls.

## See also

TCustomUpDown.Associate |  | Control used to display and edit the Position for the control.
TControl.MouseEnter |  | Signals the OnMouseEnter event handler (when assigned).
TControl.OnMouseEnter |  | Event handler signalled when the mouse pointer has entered the control.